Bug 1410138 - [abrt] gnome-boxes: boxes_libvirt_broker_real_add_source_co(): gnome-boxes killed by SIGSEGV
Summary: [abrt] gnome-boxes: boxes_libvirt_broker_real_add_source_co(): gnome-boxes ki...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7096fce31209e3a2cbe8ad38d05...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 14:54 UTC by Kai A. Hiller
Modified: 2017-12-12 10:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:16:19 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (75.77 KB, text/plain)
2017-01-04 14:54 UTC, Kai A. Hiller
no flags Details
File: cgroup (276 bytes, text/plain)
2017-01-04 14:54 UTC, Kai A. Hiller
no flags Details
File: core_backtrace (4.21 KB, text/plain)
2017-01-04 14:54 UTC, Kai A. Hiller
no flags Details
File: dso_list (19.88 KB, text/plain)
2017-01-04 14:54 UTC, Kai A. Hiller
no flags Details
File: environ (3.21 KB, text/plain)
2017-01-04 14:54 UTC, Kai A. Hiller
no flags Details
File: exploitable (100 bytes, text/plain)
2017-01-04 14:55 UTC, Kai A. Hiller
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-04 14:55 UTC, Kai A. Hiller
no flags Details
File: maps (96.92 KB, text/plain)
2017-01-04 14:55 UTC, Kai A. Hiller
no flags Details
File: mountinfo (3.70 KB, text/plain)
2017-01-04 14:55 UTC, Kai A. Hiller
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-04 14:55 UTC, Kai A. Hiller
no flags Details
File: open_fds (2.04 KB, text/plain)
2017-01-04 14:55 UTC, Kai A. Hiller
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-04 14:55 UTC, Kai A. Hiller
no flags Details
File: var_log_messages (305 bytes, text/plain)
2017-01-04 14:55 UTC, Kai A. Hiller
no flags Details
console output (623 bytes, text/plain)
2017-01-04 15:03 UTC, Kai A. Hiller
no flags Details

Description Kai A. Hiller 2017-01-04 14:54:42 UTC
Description of problem:
I restarted the PC and tried to open gnome-boxes again after cloning a VM didn't finish.

Version-Release number of selected component:
gnome-boxes-3.22.3-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gnome-boxes
crash_function: boxes_libvirt_broker_real_add_source_co
executable:     /usr/bin/gnome-boxes
global_pid:     2197
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 boxes_libvirt_broker_real_add_source_co at /home/zeenix/checkout/gnome/gnome-boxes/src/libvirt-broker.vala:140
 #1 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #2 boxes_libvirt_broker_try_add_existing_domain_co at /home/zeenix/checkout/gnome/gnome-boxes/src/libvirt-broker.vala:114
 #3 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #4 boxes_libvirt_broker_add_domain_co at /home/zeenix/checkout/gnome/gnome-boxes/src/libvirt-broker.vala:69
 #5 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #6 complete_in_idle_cb at gsimpleasyncresult.c:813
 #11 g_main_context_iteration at gmain.c:3990
 #12 g_application_run at gapplication.c:2381
 #13 _vala_main at /home/zeenix/checkout/gnome/gnome-boxes/src/main.vala:84

Comment 1 Kai A. Hiller 2017-01-04 14:54:52 UTC
Created attachment 1237196 [details]
File: backtrace

Comment 2 Kai A. Hiller 2017-01-04 14:54:53 UTC
Created attachment 1237197 [details]
File: cgroup

Comment 3 Kai A. Hiller 2017-01-04 14:54:55 UTC
Created attachment 1237198 [details]
File: core_backtrace

Comment 4 Kai A. Hiller 2017-01-04 14:54:57 UTC
Created attachment 1237199 [details]
File: dso_list

Comment 5 Kai A. Hiller 2017-01-04 14:54:59 UTC
Created attachment 1237200 [details]
File: environ

Comment 6 Kai A. Hiller 2017-01-04 14:55:01 UTC
Created attachment 1237201 [details]
File: exploitable

Comment 7 Kai A. Hiller 2017-01-04 14:55:03 UTC
Created attachment 1237202 [details]
File: limits

Comment 8 Kai A. Hiller 2017-01-04 14:55:05 UTC
Created attachment 1237203 [details]
File: maps

Comment 9 Kai A. Hiller 2017-01-04 14:55:07 UTC
Created attachment 1237204 [details]
File: mountinfo

Comment 10 Kai A. Hiller 2017-01-04 14:55:09 UTC
Created attachment 1237205 [details]
File: namespaces

Comment 11 Kai A. Hiller 2017-01-04 14:55:11 UTC
Created attachment 1237206 [details]
File: open_fds

Comment 12 Kai A. Hiller 2017-01-04 14:55:12 UTC
Created attachment 1237207 [details]
File: proc_pid_status

Comment 13 Kai A. Hiller 2017-01-04 14:55:14 UTC
Created attachment 1237208 [details]
File: var_log_messages

Comment 14 Kai A. Hiller 2017-01-04 15:03:11 UTC
Created attachment 1237209 [details]
console output

Comment 15 Fedora End Of Life 2017-11-16 14:29:03 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:16:19 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.